Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028932
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2015-02-13 09:402015-03-24 12:54
ReporterjecharriView Statuspublic 
Assigned Tomalsasua 
PriorityimmediateResolutionfixedFixed in VersionRR15Q2
StatusclosedFix in branchFixed in SCM revision344adb8282f7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression levelProduction - Confirmed Stable
Regression date2014-02-11
Regression introduced in releaseRR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e6125ae6c336 [^]
Triggers an Emergency PackNo
Summary

0028932: When you add a product using scan reader the application is always showing stock screen

DescriptionWhen you add a product using scan reader the application is always showing stock screen
Steps To Reproduce-Configure a product with barcode and "Show stock screen" checkbox
-Also the product is checked as grouped
-Go to Web POS
-Scan the product more than once

You will see that screen is always being displayed. In RMP31 only the first time was displayed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0028933RR16Q1 closedRetail QA: RR15Q2: Add tests for Mobile applications 

-  Notes
(0074449)
hgbot (developer)
2015-02-13 11:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5fb5c8005e3cdc29d95f4c0df3833050241e05a7
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Fri Feb 13 11:58:29 2015 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5fb5c8005e3cdc29d95f4c0df3833050241e05a7 [^]

fixed issue 28932: stock window will not be displayed when exists a line with the same product in the receipt

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0074494)
hgbot (developer)
2015-02-14 17:27

Repository: tools/automation/pi-mobile
Changeset: adc51b4691fb2d2161919165ee2c2ef8ac61127a
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Sat Feb 14 17:21:10 2015 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/adc51b4691fb2d2161919165ee2c2ef8ac61127a [^]

Related to issue 28932: Added test 'I28932_AddToReceiptRequiredOnceIfStockedGroupedProductsUseScan'

---
M src-test/org/openbravo/test/mobile/common/selenium/javascript/TestId.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/AllReceiptsSuite.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I28932_AddToReceiptRequiredOnceIfStockedGroupedProductsUseScan.java
---
(0074521)
migueldejuana (developer)
2015-02-16 17:28

Tested and reviewed in a60c91b96139
(0075638)
hgbot (developer)
2015-03-16 17:07

Repository: retail/backports/3.0RR14Q3.6/org.openbravo.retail.posterminal
Changeset: e2642cdd2595934fda330547f6c58486d4c2cb74
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Fri Feb 13 11:58:29 2015 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR14Q3.6/org.openbravo.retail.posterminal/rev/e2642cdd2595934fda330547f6c58486d4c2cb74 [^]

fixed issue 28932: stock window will not be displayed when exists a line with the same product in the receipt

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0075736)
malsasua (developer)
2015-03-18 13:40

reviewed in RR15Q3.6
(0075793)
hgbot (developer)
2015-03-20 12:55

Repository: retail/backports/3.0RR15Q1.2/org.openbravo.retail.posterminal
Changeset: 344adb8282f771164c42032d5afa79db6aef68e2
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Fri Feb 13 11:58:29 2015 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR15Q1.2/org.openbravo.retail.posterminal/rev/344adb8282f771164c42032d5afa79db6aef68e2 [^]

fixed issue 28932: stock window will not be displayed when exists a line with the same product in the receipt

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0075921)
malsasua (developer)
2015-03-24 12:54

reviewed in RR15Q1.2

- Issue History
Date Modified Username Field Change
2015-02-13 09:40 jecharri New Issue
2015-02-13 09:40 jecharri Assigned To => marvintm
2015-02-13 09:40 jecharri Regression level => Production - Confirmed Stable
2015-02-13 09:40 jecharri Regression introduced in release => RR14Q2
2015-02-13 09:40 jecharri Triggers an Emergency Pack => No
2015-02-13 09:56 Orekaria Relationship added depends on 0028933
2015-02-13 09:58 Orekaria Relationship replaced blocks 0028933
2015-02-13 11:54 malsasua Regression date => 2014-02-11
2015-02-13 11:54 malsasua Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e6125ae6c336 [^]
2015-02-13 11:59 hgbot Checkin
2015-02-13 11:59 hgbot Note Added: 0074449
2015-02-13 11:59 hgbot Status new => resolved
2015-02-13 11:59 hgbot Resolution open => fixed
2015-02-13 11:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5fb5c8005e3cdc29d95f4c0df3833050241e05a7 [^]
2015-02-14 17:27 hgbot Checkin
2015-02-14 17:27 hgbot Note Added: 0074494
2015-02-16 17:21 migueldejuana Assigned To marvintm => malsasua
2015-02-16 17:28 migueldejuana Review Assigned To => migueldejuana
2015-02-16 17:28 migueldejuana Note Added: 0074521
2015-02-16 17:28 migueldejuana Status resolved => closed
2015-03-16 17:07 hgbot Checkin
2015-03-16 17:07 hgbot Note Added: 0075638
2015-03-16 17:07 hgbot Status closed => resolved
2015-03-16 17:07 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5fb5c8005e3cdc29d95f4c0df3833050241e05a7 [^] => http://code.openbravo.com/retail/backports/3.0RR14Q3.6/org.openbravo.retail.posterminal/rev/e2642cdd2595934fda330547f6c58486d4c2cb74 [^]
2015-03-18 13:40 malsasua Note Added: 0075736
2015-03-18 13:40 malsasua Status resolved => closed
2015-03-20 12:55 hgbot Checkin
2015-03-20 12:55 hgbot Note Added: 0075793
2015-03-20 12:55 hgbot Status closed => resolved
2015-03-20 12:55 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR14Q3.6/org.openbravo.retail.posterminal/rev/e2642cdd2595934fda330547f6c58486d4c2cb74 [^] => http://code.openbravo.com/retail/backports/3.0RR15Q1.2/org.openbravo.retail.posterminal/rev/344adb8282f771164c42032d5afa79db6aef68e2 [^]
2015-03-24 12:54 malsasua Note Added: 0075921
2015-03-24 12:54 malsasua Status resolved => closed
2015-03-24 12:54 malsasua Fixed in Version => RR15Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker